## euslisp 9.26+dfsg

=== contrib/eus64-check/Makefile ===

all : test

MARCH=$(shell uname -m)

test_foreign.so : test_foreign.c
ifeq ($(ARCHDIR), Linux64)
##
	gcc -O2 -g -falign-functions=8 -Dx86_64 -DLinux -fPIC -c $<
	gcc -shared -fPIC -falign-functions=8 -o $@ test_foreign.o
else
ifeq ($(ARCHDIR), LinuxARM)
ifeq ($(MARCH), aarch64)
## arm 64bit
	gcc -O2 -g -Wimplicit -falign-functions=8 -Daarch64 -Darmv8 -DARM -DLinux -fPIC -c $<
	gcc -shared -fPIC -falign-functions=8 -o $@ test_foreign.o
else
## arm 32bit
	gcc -O2 -g -falign-functions=4 -DARM -DLinux -fpic -c $<
	gcc -shared -fpic -falign-functions=4 -o $@ test_foreign.o
endif
else
## Linux32 bit
	gcc -m32 -O2 -g -falign-functions=4 -Di386 -Di486 -DLinux -fpic -c $<
	gcc -m32 -shared -fpic -falign-functions=4 -o $@ test_foreign.o
endif
endif

test: test_foreign.so
	irteusgl eus64-test.l

clean :
	\rm -f *.o *.so

=== doc/jlatex/Makefile ===
all:
	make toc dvi pdf


toc:
	makeindex jmanual.tex

dvi:
	platex --version | grep utf8 || nkf --in-place -e *.tex
	platex jmanual.tex
	platex jmanual.tex
	platex --version | grep utf8 || nkf --in-place -u *.tex

pdf:
	dvipdfmx jmanual.dvi


clean:
	rm -f *~ *.aux *.idx *.log *.toc *.out *.ind *.ilg

distclean: clean
	rm -f *.dvi *.pdf

html:
	rm -f ../html/jmanual*.
	TRANSPARENT_COLOR="#ffffff" charset="UTF-8" latex2html -dir ../html/ -transparent -local_icons -split +3 -auto_prefix -init_file ../latex/.latex2html-init -iso_language JP jmanual
	(cd ../html; sed -i 's@"jmanual.css"@"manual.css"@' j*.html)

=== doc/latex/Makefile ===
manual:	arith.tex contact.tex controls.tex evaluation.tex generals.tex \
	geometry.tex graphics.tex image.tex intro.tex \
	io.tex manipulator.tex manual.tex \
	mars-pre.tex matrix.tex methods.tex  mthread.tex objects.tex \
	preface.tex sequences.tex  symbols.tex sysfunc.tex \
	types.tex voronoi.tex xtoolkit.tex xwindow.tex 
	(latex manual ; makeindex manual.idx; latex manual; dvipdfm manual.dvi >manual.pdf; \
	eus ../help.eus/makehelp.l "(progn (make-help) (quit))" )
manual2:
	latex manual ; dvips -o manual.ps manual.pdf
#	latex manual ; dvi2ps manual.dvi >manual.ps

html:
	rm -f ../html/manual*.{old,html,png,pl} ../html/manual-images.*
	TRANSPARENT_COLOR="#ffffff" latex2html -dir ../html/ -transparent -local_icons -split +3 -auto_prefix -iso_language JP manual

=== debian/changelog ===
euslisp (9.26+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Kei Okada ]
  * mv Makefile.Linux.thread to Makefile.Linux to compatible with Makefile.ARCHDIR
  * fix typo to to -> to
  * remove/fix patches for Makefile.Linux.thread
  * fix arm definition for load-module and closure in eus.c
  * fix for hardening path for LinuxARM
  * remove cpu optimization from Makefile.Linux CPU_OPTIMIZE

  [ Jochen Sprickerhof ]
  * Add MA hints
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 04 Feb 2020 08:00:07 +0100

euslisp (9.26+dfsg-1) unstable; urgency=low

  * Initial debian release (Closes: #942317).

 -- Kei Okada <kei.okada@gmail.com>  Wed, 02 Oct 2019 18:22:53 +0900

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	sed -i s/@@DEB_HOST_MULTIARCH@@/${DEB_HOST_MULTIARCH}/ $(CURDIR)/lib/eusrt.l $(CURDIR)/lib/eusglrt.l $(CURDIR)/lisp/l/eusstart.l $(CURDIR)/lisp/image/jpeg/eusjpeg.l
	dh_auto_configure

override_dh_fixperms:
	dh_fixperms
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/contrib/talk/akaho/randline
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/contrib/talk/akaho/talk.sh
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/contrib/talk/akaho/talk2.sh
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0644 debian/euslisp-dev/usr/share/euslisp/contrib/cygwin-check/tzname.c
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/lisp/opengl/src/make-util.irix
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/lisp/opengl/src/make-util.solaris2
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0755 debian/euslisp-dev/usr/share/euslisp/lisp/tool/clean-ch.sh
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0644 debian/euslisp-dev/usr/share/euslisp/lisp/opengl/src/oglforeign.c.c
	[ ! -e $(CURDIR)/debian/euslisp-dev ] || chmod 0644 debian/euslisp-dev/usr/share/euslisp/lisp/xwindow/xforeign.c.c

=== debian/tests/control ===
Tests: euslisp-test
Depends: euslisp, shunit2

Tests: euslisp-all-test
Depends: @, shunit2

## euslisp 9.27+dfsg

=== doc/jlatex/Makefile ===
all:
	make toc dvi pdf help


toc:
	makeindex jmanual.tex

dvi:
	platex --version | grep utf8 || nkf --in-place -e *.tex
	platex jmanual.tex
	platex jmanual.tex
	platex --version | grep utf8 || nkf --in-place -u *.tex

pdf:
	dvipdfmx jmanual.dvi

help:
	eus ../help.eus/makehelp.l "(let ((*eus-jtex-dir* (pwd))) (make-jhelp) (quit))"

clean:
	rm -f *~ *.aux *.idx *.log *.toc *.out *.ind *.ilg

distclean: clean
	rm -f *.dvi *.pdf

html:
	rm -f ../html/jmanual*.
	TRANSPARENT_COLOR="#ffffff" charset="UTF-8" latex2html -dir ../html/ -transparent -local_icons -split +3 -auto_prefix -init_file ../latex/.latex2html-init -iso_language JP -address "This document was generated using the LaTeX2HTML translator on `date` from <a href=\"http://github.com/euslisp/EusLisp.git\">EusLisp</a> version <a href=\"http://github.com/euslisp/EusLisp/commit/`git rev-parse --verify HEAD`\">`git log -1  --oneline`</a>" -html_version="4.0,unicode" jmanual
	(cd ../html; sed -i 's@"jmanual.css"@"manual.css"@' j*.html)
	(cd ../html; for imgfile in jmanual-img*.png; do pngtopnm $$imgfile > /tmp/$$imgfile.pnm; pnmtopng -transparent white /tmp/$$imgfile.pnm > $$imgfile; done)

=== doc/latex/Makefile ===
all:
	make manual help


manual:	arith.tex contact.tex controls.tex evaluation.tex generals.tex \
	geometry.tex graphics.tex image.tex intro.tex \
	io.tex manipulator.tex manual.tex \
	mars-pre.tex matrix.tex methods.tex  mthread.tex objects.tex \
	preface.tex sequences.tex  symbols.tex sysfunc.tex \
	types.tex voronoi.tex xtoolkit.tex xwindow.tex 
	(latex manual ; makeindex manual.idx; latex manual; dvipdfm manual.dvi >manual.pdf)

manual2:
	latex manual ; dvips -o manual.ps manual.pdf
#	latex manual ; dvi2ps manual.dvi >manual.ps

help:
	eus ../help.eus/makehelp.l "(let ((*eus-tex-dir* (pwd))) (make-help) (quit))"

clean:
	rm -f *~ *.aux *.idx *.log *.toc *.out *.ind *.ilg

distclean: clean
	rm -f *.dvi *.pdf

html:
	rm -f ../html/manual*.{old,html,png,pl} ../html/manual-images.*
	TRANSPARENT_COLOR="#ffffff" latex2html -dir ../html/ -transparent -local_icons -split +3 -auto_prefix -iso_language JP -address "This document was generated using the LaTeX2HTML translator on `date` from <a href=\"http://github.com/euslisp/EusLisp.git\">EusLisp</a> version <a href=\"http://github.com/euslisp/EusLisp/commit/`git rev-parse --verify HEAD`\">`git log -1  --oneline`</a>" -html_version="4.0,unicode" manual
	(cd ../html; for imgfile in manual-img*.png; do pngtopnm $$imgfile > /tmp/$$imgfile.pnm; pnmtopng -transparent white /tmp/$$imgfile.pnm > $$imgfile; done)

latex.py:
	wget https://raw.githubusercontent.com/jobh/latex.py/master/latex.py

#
TEXFILES=$(filter-out manual.tex, $(wildcard *.tex))
RSTFILES=$(TEXFILES:%.tex=%.rst)
%.rst : %.tex
	python3 latex.py -2 -L preamble.tex $< > /tmp/tmp_$^
	pandoc /tmp/tmp_$^ -o $@ -V documentclass=ltjarticle --latex-engine=lualatex
	sed -i 's@.. figure:: \(.*\).ps@.. figure:: \1.png@g' $@  # use png for figures

PSFILES=$(wildcard fig/*.ps)
PNGFILES=$(PSFILES:%.ps=%.png)
%.png : %.ps
	#ps2png $^ $@
	pstopnm -stdout $^ | pnmflip -rotate270 | pnmtopng - > $@


rst: manual.rst
manual.rst: latex.py $(RSTFILES) $(PNGFILES)
	cp manual.tex /tmp/manual.tex
	sed -i 's@\\input{\(.*\)}@..include:: \1\n@g' /tmp/manual.tex  # convert \input in tex to bypass pandoc
	sed -i 's@\\part{\(.*\)}@.. toctree:: \1@' /tmp/manual.tex  # convert \part in tex to bypass pandoc
	sed -i ':a;/^[^%].*\\\\$$/{N;s/\\\\\n//;ba}' /tmp/manual.tex # concatinate title/author multi lines
	sed -i '/^\\vspace{10mm}$$/d' /tmp/manual.tex # remove vspace{10mm} within title to pass pandoc
	pandoc --no-wrap -s /tmp/manual.tex -o manual.rst -V documentclass=ltjarticle --latex-engine=lualatex
	sed -i 's@..include:: \(.*\)@   \1@' manual.rst # restore ..include for rst
	sed -i 's@.. toctree:: \(.*\)@.. toctree::\n   :maxdepth: 1\n   :caption: \1@' manual.rst  # restore ..toctree for rst
	sed -i 's@** Featuring@**\nFeaturing@' manual.rst # add newline before Featuring in title
	sed -i -ne '3!{p;d;};h;n;:1;4!{N;b1};G;h;n;p;g;p' manual.rst; head manual.rst

=== debian/changelog ===
euslisp (9.27+dfsg-7) unstable; urgency=medium

  [ Kei OKADA ]
  * remove downstream test on gitlab-salsa,
    use https://tracker.debian.org/pkg/jskeus
    and https://ci.debian.net/packages/j/jskeus/
  * remove debin/test/jskeus-test as well

 -- Kei Okada <kei.okada@gmail.com>  Thu, 03 Sep 2020 07:38:01 +0000

euslisp (9.27+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Kei OKADA ]
  * add test to check if jskeus is compilable
  * compiler copies it's instance by :copy-compiler, so symid needs to be global. see https://github.com/euslisp/EusLisp/pull/441/commits/bf5b1b244d397ea02a112458f2df47297d20e3a6
  * To avoid (setq *cflags* nil), use "" when CFLAGS is not set
  * use ca-certificates instead of GIT_SSL_NO_VERIFY
  * add Restrictions: needs-internet to debian/tests/control
  * add test to check if comile-file works
  * use file.c/file.h/file.o from file if o is not set
  * lisp/too/makedate: add empty makedata/gitrevision/compilehost, skip these variable from lisp-implementation-version
  * rm debian/patches/always-compile-to-objdir.patch
  * set lisp-implementation-version to show last released date

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jul 2020 16:55:09 +0200

euslisp (9.27+dfsg-5) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Cleanup gitlab-ci.yml

  [ Kei OKADA ]
  * add debian/patches/fix-for-blhc.patch
  * add debian/patches/fix-for-reprotest.patch
  * fix debian/patches/fix-for-reprotest.patch use ${DEB_HOST_MULTIARCH}

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Jul 2020 10:51:11 +0200

euslisp (9.27+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Kei Okada ]
  * add test to check when compile lisp file incldue LINEINTERSECTION3 (geo::line-intersection3), it will not find LINEINTERSECTION3 symbol
  * Use RTLD_GLOBAL so that other dynamic libary can find library symbols.
  * add test to check if lib/llib/unittest.l exists
  * install lib/llib within euslisp-dev

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 May 2020 13:48:33 +0200

euslisp (9.27+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Kei Okada ]
  * use lisp::*deb-host-multiarch* to set arch. This fixes https://ci.debian.net/data/autopkgtest/testing/arm64/e/euslisp/4529309/log.gz

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 13 Mar 2020 12:00:13 +0100

euslisp (9.27+dfsg-2) unstable; urgency=medium

  [ Kei Okada ]
  * add fix-arm-ldflags.patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 11 Mar 2020 09:16:47 +0100

euslisp (9.27+dfsg-1) unstable; urgency=medium

  [ Kei Okada ]
  * EusLisp 9.27 uses OSS gl*const.l files
  * New upstream version 9.27+dfsg
  * fix lisp/image/jpeg/makefile for newer (9.27) version of makefile
  * fix for Makefile.Linux (version 9.27)
  * load /usr/lib/DEB_HOST_MULTIARCH for test/loader.l
  * version 9.27 fixed set-shebang problem
  * EusLisp 9.27 fixed spelling problems
  * EusLisp 9.27 enable to compile multiple arch with Makefile.Linux
  * EusLisp 9.27 fixed LDMODULE argument problems for ARM arch
  * remove deleved patches from series
  * use Makefile.Linux for LinuxARM machine

 -- Kei Okada <kei.okada@gmail.com>  Tue, 25 Feb 2020 04:32:24 +0000

=== debian/control ===
Source: euslisp
Section: lisp
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper-compat (=12), dh-exec, libgl1-mesa-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/euslisp/EusLisp
Vcs-Git: https://salsa.debian.org/science-team/euslisp.git
Vcs-Browser: https://salsa.debian.org/science-team/euslisp

Package: euslisp
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xfonts-100dpi, xfonts-75dpi
Description: Lisp based intelligent robots programming system
 euslisp provides executables, library and necessary lisp code for
 running EusLisp language. This provides basic Lisp interpreter, OOP
 functions, geometric class such as edge, plane, polygon, face, hole
 and body. Xlib/OpenGL interfaces.
 .
 This package contains the eus0/eus1/eus2/eusg/eusx/eusgl executable
 and accompanying files.

Package: euslisp-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, euslisp
Description: Development files of Lisp based  intelligent robots programming system
 euslisp-dev provides C language headers and C and Lisp source files
 for developping EusLisp based modulse.
 .
 This package contains *eusdir*/{lisp, include, lib, contrib, demos, models}

Package: euslisp-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Manuals and Documentations of EusLisp programming system
 euslisp-doc contains various README and pdf version of manual of EusLisp
 along with HTML version of the documents.
 .
 This package contains the documentation of EusLisp

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	sed -i s/@@DEB_HOST_MULTIARCH@@/${DEB_HOST_MULTIARCH}/g $(CURDIR)/lisp/c/eus.c
	dh_auto_configure

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,9 @@
 Tests: euslisp-all-test
 Depends: @, shunit2
 
+Tests: euslisp-loadelf-test
+Depends: @, gcc, libc6-dev, shunit2
+
+Tests: euslisp-compile-test
+Depends: @, gcc, libc6-dev, shunit2
+

## euslisp 9.31%2Bdfsg

=== debian/changelog ===
euslisp (9.31+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Kei Okada ]
  * add debian/patches/fix-localtime-arm32.patch, fix for arm32 build

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 19 Dec 2024 08:44:33 +0100

euslisp (9.31+dfsg-2) unstable; urgency=medium

  [ Kei Okada ]
  * FIX syntax error in (fix debian/tests: skip test for 32bit Arm). from bash
    syntax -> sh syntax
  * Forget to update VERSION in Makefile.generic1

 -- Kei Okada <kei.okada@gmail.com>  Sat, 14 Dec 2024 16:13:37 +0900

euslisp (9.31+dfsg-1) unstable; urgency=medium

  * New upstream version 9.31+dfsg
  * remove patches already applied in upstream
    fix-lintian-typo.patch/fix-makefile-linux-MACHINE.patch
  * fix debian/tests: skip test for 32bit Arm
  * debian/rules: restore lisp/c/eus.c on clean (Closes: #1044517)

 -- Kei Okada <kei.okada@gmail.com>  Wed, 11 Dec 2024 18:46:01 +0900

euslisp (9.30+dfsg-3) unstable; urgency=medium

  [ Kei Okada ]
  * defforeign on ppc64el is not work for float/double, skpping test for now

 -- Kei OKada <kei.okada@gmail.com>  Sun, 05 May 2024 11:42:56 +0900

euslisp (9.30+dfsg-2) unstable; urgency=medium

  * apply patches from upstream
    fix extreme -> extream lintian warnings : https://github.com/euslisp/EusLisp/pull/512
    set MACHINE if not defined : https://github.com/euslisp/EusLisp/pull/514

 -- Kei Okada <k-okada@gmail.com>  Sat, 20 Apr 2024 17:53:20 +0900

euslisp (9.30+dfsg-1) unstable; urgency=medium

  * New upstream version 9.30+dfsg
    - Use 'long int' for timezone (Closes: #1069196)
  * remove patches which already merged in upstream

 -- Kei Okada <kei.okada@gmail.com>  Thu, 18 Apr 2024 17:58:32 +0900

euslisp (9.29+dfsg-1) unstable; urgency=medium

  * New upstream version 9.29+dfsg
  * remove patches already applied in 9.29,
    see https://github.com/euslisp/EusLisp/pull/482
  * fix debian/patches/fix-jpegmemcd-compile-error.patch for 9.29
    (Closes: #1066307)

 -- Kei Okada <kei.okada@gmail.com>  Mon, 15 Apr 2024 17:55:06 +0900

euslisp (9.28+dfsg-2) unstable; urgency=high

  * https://github.com/euslisp/EusLisp/pull/441 update
    lisp/image/jpeg/makefile, update debian/patches/fix-for-hardening.patch
  * https://github.com/euslisp/EusLisp/pull/441 update source code to pass repotest
  * debian/tests/euslisp-all-test: run make command in test directory to build test_foreign.so
  * add error cehck of -Werror=implicit-function-declaration. from dpkg 1.22.6
  * add paches to fix
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1066307, FTBFS:
    jpegmemcd.c:29:3: error: implicit declaration of function
    ‘jpeg_memio_dest’, see https://github.com/euslisp/EusLisp/pull/507

 -- Kei Okada <kei.okada@gmail.com>  Mon, 15 Apr 2024 09:18:14 +0900

euslisp (9.28+dfsg-1) unstable; urgency=medium

  * New upstream version 9.28+dfsg

 -- Kei Okada <kei.okada@gmail.com>  Sat, 05 Feb 2022 15:20:53 +0900

## euslisp 9.31+dfsg

=== debian/changelog ===
euslisp (9.31+dfsg-3~24.04.1) noble; urgency=medium

  * Backport to Ubuntu 24.04 (LP: #2100570)

 -- Kei Okada <kei.okada@gmail.com>  Wed, 09 Apr 2025 10:15:34 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: euslisp
 Section: lisp
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kei Okada <kei.okada@gmail.com>
-Build-Depends: debhelper-compat (=12), dh-exec, libgl1-mesa-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev
+Build-Depends: debhelper-compat (=13), dh-exec, libgl-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/euslisp/EusLisp
 Vcs-Git: https://salsa.debian.org/science-team/euslisp.git
 Vcs-Browser: https://salsa.debian.org/science-team/euslisp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%euslisp-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
    https://github.com/euslisp/EusLisp/tags \
    (?:.*?/)?v?EusLisp-(\d[\d.]*)\.tar\.gz

## euslisp 9.32%2Bdfsg

=== debian/changelog ===
euslisp (9.32+dfsg-1) unstable; urgency=medium

  * New upstream version 9.32+dfsg
    Support gcc-15, closes: #1096594, #1105329
  * remove patches already applied in 9.32, see:
    https://github.com/euslisp/EusLisp/pull/525
    https://github.com/euslisp/EusLisp/pull/524
    https://github.com/euslisp/EusLisp/pull/523
    https://github.com/euslisp/EusLisp/pull/522
    https://github.com/euslisp/EusLisp/pull/517

 -- Kei Okada <kei.okada@gmail.com>  Thu, 25 Sep 2025 16:12:19 +0900

## euslisp 9.32+dfsg

=== test/Makefile ===
GCC_MACHINE=$(shell gcc -dumpmachine)
$(info "-- GCC_MACHINE = ${GCC_MACHINE}")
ifeq ($(shell echo $(GCC_MACHINE) | sed 's/.*-\(.*\)-.*/\1/'), linux)
  OS=Linux
else ifeq ($(shell echo $(GCC_MACHINE) | sed 's/.*-.*-\([a-zA-Z]*\).*/\1/'), darwin)
  OS=Darwin
else ifeq ($(shell echo $(GCC_MACHINE) | sed 's/.*-.*-\(.*\)/\1/'), cygwin)
  OS=Cygwin
endif
$(info "--      OS = ${OS}")
ifeq ($(OS),Linux)
 export MAKEFILE=Makefile.Linux
endif
ifeq ($(OS),CYGWIN)
 export MAKEFILE=Makefile.Cygwin
endif
ifeq ($(OS),Darwin)
 export MAKEFILE=Makefile.Darwin
endif

$(info "-- MAKEFILE = ${MAKEFILE}")

# set EUSDIR if not defined
export EUSDIR?=$(CURDIR)/..
$(info "--  EUSDIR = ${EUSDIR}")

include $(MAKEFILE)

SRC=test_foreign.c
OBJ=$(basename $(SRC)).o
LIB=$(basename $(SRC)).$(LSFX)

$(LIB): $(OBJ)
	$(LD) $(SOFLAGS) $(OUTOPT)$(LIB) $(OBJ) $(LDFLAGS)
	@echo "Try make test"

$(OBJ): $(SRC)
	$(CC) $(CFLAGS) -DCOMPILE_LIB -c $(SRC) $(OBJOPT)$(OBJ)

clean:
	rm -f $(LIB) $(OBJ)

test: $(LIB)
	teusgl eus64-test.l

clean :
	\rm -f *.o *.so

=== contrib/cygwin-check/Makefile ===
all: 
	make -k lockf priority getnetbyname dlltest tzname

lockf: lockf.c
	@echo ";;"
	@echo ";; check if lockf exists"
	@echo ";;"
	gcc -o lockf lockf.c

priority: priority.c
	@echo ";;"
	@echo ";; check if setpriority/getpriority exists"
	@echo ";;"
	gcc -o priority priority.c

getnetbyname: getnetbyname.c
	@echo ";;"
	@echo ";; check if getnetbyname exists"
	@echo ";;"
	gcc -o getnetbyname getnetbyname.c

dlltest: dlltest.c
	@echo ";;"
	@echo ";; check if getnetbyname exists"
	@echo ";;"
	gcc -o dlltest.o -c dlltest.c
	#gcc -shared -o dlltest.dll dlltest.o -Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--enable-runtime-pseudo-reloc -Wl,--no-whole-archive -Wl,--unresolved-symbols="ignore-all" -Wl,--warn-unresolved-symbols -Wl,--allow-shlib-undefined -Wl,--warn-once
	gcc -shared -o dlltest.dll dlltest.o -Wl,--allow-shlib-undefined -Wl,--undefined
	gcc -shared -o dlltest.dll dlltest.o -Wl,--allow-shlib-undefined -Wl,--no-undefined

tzname: tzname.c
	@echo ";;"
	@echo ";; check tzname"
	@echo ";;"
	gcc -o tzname tzname.c; ./tzname

clean:
	rm -f *~ *.dll *.o *.exe *.stackdump lockf priority getnetbyname

=== contrib/neuron/Makefile ===
nnsub.so : nnsub.o
	ld -o nnsub.so nnsub.o

nnsub.o : nnsub.c nnsub.h
	cc -c -Dsun4 -w -DSolaris2 -DTHREADED -fpic -I/opt/eus/include nnsub.c

=== doc/jlatex/Makefile ===
all:
	make toc dvi pdf help


toc:
	makeindex jmanual.tex

dvi:
	platex --version | grep utf8 || nkf --in-place -e *.tex
	platex jmanual.tex
	platex jmanual.tex
	platex --version | grep utf8 || nkf --in-place -u *.tex

pdf:
	dvipdfmx jmanual.dvi

help:
	eus ../help.eus/makehelp.l "(let ((*eus-jtex-dir* (pwd))) (make-jhelp) (quit))"

clean:
	rm -f *~ *.aux *.idx *.log *.toc *.out *.ind *.ilg

distclean: clean
	rm -f *.dvi *.pdf

html:
	rm -f ../html/jmanual*.
	for psfile in fig/*.ps; do ps2eps -f -B $$psfile; done
	sed -i.eps.bak s/\\.ps/\\.eps/g *.tex
	(cd ../html; ln -sf ../latex/fig .)
	TRANSPARENT_COLOR="#ffffff" charset="UTF-8" latex2html -rootdir ../html/ -transparent -local_icons -split +3 -auto_prefix -init_file ../latex/.latex2html-init -iso_language JP -address "This document was generated using the LaTeX2HTML translator on `date` from <a href=\"http://github.com/euslisp/EusLisp.git\">EusLisp</a> version <a href=\"http://github.com/euslisp/EusLisp/commit/`git rev-parse --verify HEAD`\">`git log -1  --oneline`</a>" -html_version="4.0,unicode" jmanual
	(cd ../html; sed -i 's@"jmanual.css"@"manual.css"@' j*.html)
	sed -i s@HREF=\"../jmanual@HREF=\"jmanual@ ../html/jmanual-node*.html
	rm ../html/fig
	for backup in *.eps.bak; do mv $$backup $$(basename $$backup .eps.bak); done
	#(cd ../html; for imgfile in jmanual-img*.png; do pngtopnm $$imgfile > /tmp/$$imgfile.pnm; pnmtopng -transparent white /tmp/$$imgfile.pnm > $$imgfile; done)

=== doc/latex/Makefile ===
--- 
+++ 
@@ -24,9 +24,15 @@
 	rm -f *.dvi *.pdf
 
 html:
-	rm -f ../html/manual*.{old,html,png,pl} ../html/manual-images.*
-	TRANSPARENT_COLOR="#ffffff" latex2html -dir ../html/ -transparent -local_icons -split +3 -auto_prefix -iso_language JP -address "This document was generated using the LaTeX2HTML translator on `date` from <a href=\"http://github.com/euslisp/EusLisp.git\">EusLisp</a> version <a href=\"http://github.com/euslisp/EusLisp/commit/`git rev-parse --verify HEAD`\">`git log -1  --oneline`</a>" -html_version="4.0,unicode" manual
-	(cd ../html; for imgfile in manual-img*.png; do pngtopnm $$imgfile > /tmp/$$imgfile.pnm; pnmtopng -transparent white /tmp/$$imgfile.pnm > $$imgfile; done)
+	rm -f ../html/manual*.{old,html,png,svg,pl} ../html/manual-images.*
+	for psfile in fig/*.ps; do ps2eps -f -B $$psfile; done
+	sed -i.eps.bak s/\\.ps/\\.eps/g *.tex
+	(cd ../html; ln -sf ../latex/fig .)
+	TRANSPARENT_COLOR="#ffffff" latex2html -rootdir ../html/ -transparent -local_icons -split +3 -auto_prefix -iso_language JP -address "This document was generated using the LaTeX2HTML translator on `date` from <a href=\"http://github.com/euslisp/EusLisp.git\">EusLisp</a> version <a href=\"http://github.com/euslisp/EusLisp/commit/`git rev-parse --verify HEAD`\">`git log -1  --oneline`</a>" -html_version="4.0,unicode" manual
+	rm ../html/fig
+	for backup in *.eps.bak; do mv $$backup $$(basename $$backup .eps.bak); done
+	sed -i s@HREF=\"../manual@HREF=\"manual@ ../html/manual-node*.html
+	#(cd ../html; for imgfile in manual-img*.png; do pngtopnm $$imgfile > /tmp/$$imgfile.pnm; pnmtopng -transparent white /tmp/$$imgfile.pnm > $$imgfile; done)
 
 latex.py:
 	wget https://raw.githubusercontent.com/jobh/latex.py/master/latex.py
@@ -36,7 +42,7 @@
 RSTFILES=$(TEXFILES:%.tex=%.rst)
 %.rst : %.tex
 	python3 latex.py -2 -L preamble.tex $< > /tmp/tmp_$^
-	pandoc /tmp/tmp_$^ -o $@ -V documentclass=ltjarticle --latex-engine=lualatex
+	pandoc /tmp/tmp_$^ -o $@ -V documentclass=ltjarticle
 	sed -i 's@.. figure:: \(.*\).ps@.. figure:: \1.png@g' $@  # use png for figures
 
 PSFILES=$(wildcard fig/*.ps)
@@ -53,7 +59,7 @@
 	sed -i 's@\\part{\(.*\)}@.. toctree:: \1@' /tmp/manual.tex  # convert \part in tex to bypass pandoc
 	sed -i ':a;/^[^%].*\\\\$$/{N;s/\\\\\n//;ba}' /tmp/manual.tex # concatinate title/author multi lines
 	sed -i '/^\\vspace{10mm}$$/d' /tmp/manual.tex # remove vspace{10mm} within title to pass pandoc
-	pandoc --no-wrap -s /tmp/manual.tex -o manual.rst -V documentclass=ltjarticle --latex-engine=lualatex
+	pandoc --wrap=none -s /tmp/manual.tex -o manual.rst -V documentclass=ltjarticle
 	sed -i 's@..include:: \(.*\)@   \1@' manual.rst # restore ..include for rst
 	sed -i 's@.. toctree:: \(.*\)@.. toctree::\n   :maxdepth: 1\n   :caption: \1@' manual.rst  # restore ..toctree for rst
 	sed -i 's@** Featuring@**\nFeaturing@' manual.rst # add newline before Featuring in title

=== debian/changelog ===
euslisp (9.32+dfsg-2) unstable; urgency=medium

  * add debian/patches/fix-arm32.patch: (Closes: #1116349)

 -- Kei Okada <kei.okada@gmail.com>  Tue, 30 Sep 2025 10:20:34 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: euslisp
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Kei Okada <kei.okada@gmail.com>
 Build-Depends: debhelper-compat (=13), dh-exec, libgl-dev, libglu1-mesa-dev, libjpeg-dev, libpng-dev, libpq-dev, libx11-dev, libxext-dev
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_auto_configure:
	sed -i.orig s/@@DEB_HOST_MULTIARCH@@/${DEB_HOST_MULTIARCH}/g lisp/c/eus.c

execute_before_dh_clean:
	mv lisp/c/eus.c.orig lisp/c/eus.c || true

=== debian/tests/control ===
Tests: euslisp-test
Depends: euslisp, shunit2

Tests: euslisp-all-test
Depends: @, gcc, g++, libc6-dev, shunit2

Tests: euslisp-loadelf-test
Depends: @, gcc, libc6-dev, shunit2

Tests: euslisp-compile-test
Depends: @, gcc, libc6-dev, libjpeg-dev, shunit2, make
